Package Base Details: linux-vfio

Git Clone URL: https://aur.archlinux.org/linux-vfio.git (read-only)
Keywords: acs arbiter assignment gpu i915 kvm override passthrough pci qemu vfio vga
Submitter: zman0900
Maintainer: zman0900 (markzz)
Last Packager: markzz
Votes: 55
Popularity: 1.01
First Submitted: 2015-01-30 06:41
Last Updated: 2019-10-18 14:41

Pinned Comments

markzz commented on 2017-12-14 06:10

(4.14.5+) Because Arch itself has dropped i686 support, I have removed i686 from the PKGBUILD and there is no config file either.

electricprism commented on 2016-01-04 04:30

Requires importing GPG Keys to build

# Linus Torvalds
gpg --recv-keys 79BE3E4300411886

# Greg Kroah-Hartman (Linux kernel stable release signing key)
gpg --recv-keys 38DBBDC86092693E

markzz commented on 2015-10-07 03:43

If you don't want to compile this package yourself, I am providing the package on my repo [1].

[1] https://wiki.archlinux.org/index.php/Unofficial_user_repositories#markzz

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

MurkyDepths commented on 2018-09-04 18:20

When I install it asks if I want to install linux-vfio-headers and docs. They should be installed, but I don't even know. I'll go test that when I have time. If headers aren't installed that's likely the problem, if they are I'll get the version number. I'll also check dkms as you mentioned. And if anything doesn't really work, I'll try rebuilding it.

erylflynn commented on 2018-09-04 17:40

Only time I saw anything like this was when the kernel was built but the headers was not. I tried a new AUR tool and it only built the linux-vfio package, not linux-vfio-headers. Once I rebuilt everything making sure the headers installed it worked.

Check linux-vfio-headers installed version. Also "dkms status" to show if the module for your video drivers was built. If not force dkms to rebuild and see what happens.

MurkyDepths commented on 2018-09-04 17:32

I've searched as extensively as I could manage. Every time was a fresh install. With or without nvidia drivers. Blacklisting nouveau or nvidia, setting a default output card does nothing, binding the card with pci-stub and/or vfio-bind doesn't change anything. Different desktop managers changes nothing, reinstalling desktop managers and Xorg doesn't change anything. Haven't found anything special in the logs I've looked at or using dmesg(or whatever it's called, I can't recall). If there are any other drivers I need to worry about I don't know which ones they are.

Honestly I'm at my wits end, I'm far from a veteran but I'm at least a decently good user, but nothing special. Though searches on google and scouring wikis and forums I haven't found anything that solves it. I've found ones with similar problems to mine, but either with no solution or one that doesn't work for me.

Is there a way to log the installation process of linux-vfio? I've noticed some red text pop up here and there, but am not sure how to get my hands on it. Only thought of that during my writing of this. Usually, at the end, or close to it, there is usually a rather large red block of text, probably ten lines at the very least. I have no idea if these are errors or not, but if I can get my hands on that log it might help solving whatever problem is causing this. Whether that's a hardware issue or software I can't say.

markzz commented on 2018-09-03 16:25

MurkyDepths: Did you check the Wiki, the forums, Google?

I can tell you this kernel is working fine on at least my system. Check your drivers, check your logs, etc...

MurkyDepths commented on 2018-09-03 13:45

For some reason installing this now kills graphical boot and it’s stuck on a blackscreen with a blinking cursor. Non-graphical boot works fine though. Have you encountered this before? If so, do you know of a way to fix it?

MurkyDepths commented on 2018-08-30 15:42

Sorry, I'm like maybe day one on arch so I have little to no idea how AUR works properly. Though I'm learning, it doesn't stop me from being stupid.

markzz commented on 2018-08-30 14:59

The answer to that question is always "When it's done."

Also, seeing as this PKGBUILD is on 4.18.4 right now tells you something about your question...

MurkyDepths commented on 2018-08-30 14:23

Is the patch available to 4.18.*? If it isn't, how long do you think it'll be until it's updated?

markzz commented on 2018-08-25 19:24

jugs: Usually that's the case, but this time I'm just being slow.

jugs commented on 2018-08-25 00:12

Does the patch not work on 4.18?